import fs from 'fs/promises'
import yaml from 'js-yaml'

class Config {
  async load () {
    const urlsSource = await fs.readFile('./config/manifests/urls.yaml', 'utf8')
    this._urls = yaml.load(urlsSource).manifests
  }

  get urls () {
    return this._urls || []
  }
}

export const config = new Config()

export default config
